Create a user inviteCopy Pagepost https://api.ramp.com/developer/v1/users/deferredCall this endpoint to trigger an async task to send out a user invite.Body Paramsdepartment_iduuidUnique identifier of the employee's departmentdirect_manager_iduuidUnique identifier of the employee's direct manageremailstringrequiredThe employee's email addressfirst_namestringrequiredlength ≤ 255First name of the employeeidempotency_keystringan idempotency key is a unique value generated by the client which the server uses to recognize subsequent retries of the same request. To avoid collisions, we encourage clients to use random generated UUIDs.last_namestringrequiredlength ≤ 255Last name of the employeelocation_iduuidUnique identifier of the employee's locationrolestringenumrequiredThe employee's role; It could be one of the following values: Admin, Cardholder, Bookkeeper; Note that Owner is not a invitable role.BUSINESS_USERBUSINESS_ADMINBUSINESS_BOOKKEEPERBUSINESS_USERGUEST_USERIT_ADMINAllowed:BUSINESS_ADMINBUSINESS_BOOKKEEPERBUSINESS_USERGUEST_USERIT_ADMINResponse 201Response with the ID of the async task. Task status can be checked via a GET call to .../deferred/status/<task_id>Updated almost 3 years ago Did this page help you?YesNo